<?php
/**
Template page for testimonials

The following variables are usable:

	$project: contains data for the project
	$datasets: contains all datasets for current selection
	$pagination: contains the pagination
	
	You can check the content of a variable when you insert the tag <?php var_dump($variable) ?>
*/
?>

<?php if ( isset($project->selections) && $project->selections ) do_action('projectmanager_selections'); ?>

<div class="testimonials">

<?php if ( $datasets ) : $i = 0; ?>
	<ul class="testimonials">
	<?php foreach ( $datasets AS $dataset ) : $i++; ?>
		<li>
			<div class="testimonial">
				<?php if ($project->show_image == 1 && !empty($dataset->image)) : ?>
				<img src="<?php echo $projectmanager->getFileURL('tiny.'.$dataset->image)?>" />
				<?php endif; ?>
				<p class='comment'>&ldquo;<?php echo $dataset->comment ?>&rdquo;</p>
				<p class='cite'><?php echo $dataset->name ?> - <?php echo $dataset->city ?>, <?php echo $dataset->country ?></p>
			</div>
		</li>
	<?php endforeach; ?>
	</ul>
	
	<p class='page-numbers'><?php echo $pagination ?></p>
<?php else : ?>
<p class='error'><?php _e( 'Nothing found', 'projectmanager') ?></p>
<?php endif; ?>

</div>